function mas_newy=sost2val(yprognoz,prognsost,sredn,dt);
%преобразование массива состояний в массив значений ряда с определенной
%дискретизацией.
nprognsost=length(prognsost);
global type_prirash;
if isempty(type_prirash)
    type_prirash=0;
end
for i=1:nprognsost
    nlast=length(yprognoz);
    %!!!perrepisat dlya numsost peremennogo
    %i
    prs=prognsost(i);
      %sost(i)
    srednnn=sredn(prognsost(i));
    newelems=[];
    for j=1:dt
        if type_prirash==0
            newelems=[newelems,yprognoz(nlast)+(srednnn*j)/dt];%yprognoz(nlast)+srednnn/dx:srednnn/dx:yprognoz(nlast)+srednnn;
        else
            newelems=[newelems,yprognoz(nlast)+(yprognoz(nlast)*(srednnn*j)/dt)];%yprognoz(nlast)+srednnn/dx:srednnn/dx:yprognoz(nlast)+srednnn;
        end
        % prawka w swyazi s zamenoy raznostey na otnositelnye raznosti.
    end
    if (isempty(newelems))
        7777
    end
    yprognoz=[yprognoz,newelems];
end
mas_newy=yprognoz;%(2:length(yprognoz));

